// Heatbugs application. Copyright (C) 1996-1999 Santa Fe Institute.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

// Bits to support a specialization of diffusion objects: "heat space".
// Most of the real work is done in Diffuse, which implements a CA.
// These functions simplify and stereotype access to the space variable,
// making the Heatbug code higher level.

#import <random.h>
#import "Cell.h"


@implementation Cell

- setX: (int)theX
{
    x = theX;
    return self;
}

- setY: (int)theY
{
    y = theY;
    return self;
}

- (int)getX
{ 
    return x;
}

- (int)getY
{
    return y;
}
@end


