// Culture.m				
  
#import "Culture.h"
#import <simtools.h>


int numTraits;
int numFeatures;

@implementation Culture 

-initFeatures: (int) nf Traits: (int) nt {
  int i;
  numFeatures = nf;
  symbol =  [[self getZone] allocBlock: numFeatures * sizeof(int)];

  for (i=0; i<numFeatures; i++) 
    symbol[i]=[uniformIntRand getIntegerWithMin: 0 withMax: nt-1];
  return self;
}

-(int)getFeature: (int) f {
  return symbol[f];
}

-(int *) getCultureArray
{

  return symbol;
}

-setFeature: (int) f to: (int) v {
  symbol[f] = v;
  return self;
}

-(double)similarityWith: (id) c {
  int sum = 0;
  int i;
  
  for (i=0; i<numFeatures; i++)
    if (symbol[i]==[c getFeature: i])
      sum = sum + 1;
    
  return (double)sum / (double)numFeatures;
}

-print {
  int i;
  
  printf("Culture");
  for (i=0; i<numFeatures; i++)
    printf("%d", symbol[i]);
  printf("\n");
  return self;
}

@end

  


