#import <defobj/Arguments.h>

@interface MyArguments: Arguments_c
 {
   const char *seedArg;
   const char *pplPerCellArg;
   const char *visionRadiusArg;
   const char *runArg;
   const char *worldSizeArg;

     int pplPerCell, visionRadius, worldXSize, worldYSize, numFeatures, numTraits;
     int numWorkplaces, workXSize, workYSize;
     
     double randomMoveProbability;
     int randomSeed;
     BOOL randomizeCitizenUpdateOrder;
     BOOL oneAtATime;
    
 }

- (BOOL) toggleOneAtATime;

- (BOOL) toggleRandomOrder;  

- (BOOL) getToggleRandomOrder;

- (BOOL) getToggleOneAtATime;


- (int) getPplPerCellArg;

- (int) getVisionRadiusArg;

- (int) getSeedArg;

- (int) getRunArg;

- sayHello;




@end
