// Heatbugs application. Copyright (C) 1996-1999 Santa Fe Institute.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

// The HeatSpace is a simple object to represent the heat in the
// world: a spatial variable. HeatSpace inherits most of its behaviour
// from the "Diffuse" space Object.

#import <objectbase/SwarmObject.h>


@interface Cell: SwarmObject 
{
    int x;
    int y;
   
}
- setX: (int)theX;
- setY: (int)theY;
- (int)getX;
- (int)getY;
@end


